# st version
VERSION = 0.8.2

# Customize below to fit your system

# paths
PREFIX = /p/acd/proj/work/fe/masolkar/apps
MANPREFIX = $(PREFIX)/share/man

X11INC = /usr/intel/pkgs/X11/R7.6/include
X11LIB = /usr/intel/pkgs/X11/R7.6/lib

PKG_CONFIG = pkg-config

# freetype
FREETYPELIBS = -lfontconfig -lXft
FREETYPEINC = /usr/include/freetype2

# includes and libs
INCS = -I$(X11INC) -I${FREETYPEINC}
LIBS = -L$(X11LIB) -lm -lrt -lX11 -lutil ${FREETYPELIBS}

# flags
STCPPFLAGS = -DVERSION=\"$(VERSION)\" -D_XOPEN_SOURCE=600
STCFLAGS = $(INCS) $(STCPPFLAGS) $(CPPFLAGS) $(CFLAGS)
STLDFLAGS = $(LIBS) $(LDFLAGS)

# OpenBSD:
#CPPFLAGS = -DVERSION=\"$(VERSION)\" -D_XOPEN_SOURCE=600 -D_BSD_SOURCE
#LIBS = -L$(X11LIB) -lm -lX11 -lutil -lXft \
#       `pkg-config --libs fontconfig` \
#       `pkg-config --libs freetype2`

# compiler and linker
# CC = c99
